package com.sxtvs.open.api.review.job;

import com.sxtvs.open.api.review.service.impl.ReviewImgRecordServiceImpl;
import com.sxtvs.open.api.review.service.impl.ReviewVideosRecordServiceImpl;
import com.sxtvs.open.api.review.service.impl.VcrService;
import jakarta.annotation.Resource;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class VcrJob {

    @Resource
    private VcrService vcrService;

    @Resource
    private ReviewImgRecordServiceImpl reviewImgRecordService;

    @Resource
    private ReviewVideosRecordServiceImpl reviewVideosRecordService;

    @Scheduled(fixedRate = 1800 * 1000)
    public void refreshToken(){
        vcrService.refreshToken();
    }

    @Scheduled(fixedDelay = 60 * 1000, initialDelay = 3000)
    public void refreshVcrImgStatus(){
       reviewImgRecordService.refreshBatchResult();
    }

    @Scheduled(fixedDelay = 60 * 1000, initialDelay = 3000)
    public void refreshVcrVideoStatus(){
        reviewVideosRecordService.refreshBatchResult();
        reviewVideosRecordService.push();
    }
}
